#!/bin/sh

echo "**************************************"
echo "* T-DSL Speedmanager 1.51 fuer Linux *"
echo "**************************************"

root_ok=`id | awk '/^uid=0\(root\)/ { print "yes" }'`

	
if [ "$root_ok" != "yes" ] 
then
	echo "Sie benoetigen Administratorrechte, um Speedmanager zu installieren."
	exit 0
fi

 
if test `find /usr/lib/libqt* -print | wc -l` == "0"
then
	echo "Speedmanager benoetigt die QT Laufzeitbibliothek qtlib aus dem Paket xdev."
	echo "Bitte installieren Sie die Bibliothek vor dem ersten Start von Speedmanager."
fi
     
                


confirm () {
	while true
	do
		printf "$1 (j/n)[j] > "
		read yesno
		case $yesno in
			""|j|J)
				return 1
				;;
			n|N)
				return 0
				;;
		esac
	done	
}



chown root speedmgr
chmod +s speedmgr
cp libqtintf.so.2.2.4 /usr/lib > /dev/nul
cp libspm.so.1.0.0 /usr/lib > /dev/nul
ln -sf /usr/lib/libqtintf.so.2.2.4 /usr/lib/libqtintf.so.2
ln -sf /usr/lib/libqtintf.so.2 /usr/lib/libqtintf.so 
ln -sf /usr/lib/libspm.so.1.0.0 libspm.so

echo "[settings]" > speedmgr.ini
echo "speed=768" >> speedmgr.ini
chmod 666 speedmgr.ini
echo "cd "`pwd`   >>  startspeedmgr
echo "./speedmgr" >> startspeedmgr
chmod 777 startspeedmgr
mv startspeedmgr /usr/bin

echo "Installation beendet"
echo "Programmaufruf: startspeedmgr"


